<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (17) on Mon Dec 11 11:05:54 CET 2023 -->
<title>Uses of Class back.mobileElement.MobileElement</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf8">
<meta name="dc.created" content="2023-12-11">
<meta name="description" content="use: module: SatellitesBalises, package: back.mobileElement, class: MobileElement">
<meta name="generator" content="javadoc/ClassUseWriter">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-3.6.0.min.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-use-page">
<script type="text/javascript">var pathtoroot = "../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../../../module-summary.html">Module</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../MobileElement.html" title="class in back.mobileElement">Class</a></li>
<li class="nav-bar-cell1-rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html#use">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 title="Uses of Class back.mobileElement.MobileElement" class="title">Uses of Class<br>back.mobileElement.MobileElement</h1>
</div>
<div class="caption"><span>Packages that use <a href="../MobileElement.html" title="class in back.mobileElement">MobileElement</a></span></div>
<div class="summary-table two-column-summary">
<div class="table-header col-first">Package</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><a href="#back.event">back.event</a></div>
<div class="col-last even-row-color">&nbsp;</div>
<div class="col-first odd-row-color"><a href="#back.mobileElement">back.mobileElement</a></div>
<div class="col-last odd-row-color">&nbsp;</div>
<div class="col-first even-row-color"><a href="#back.movement">back.movement</a></div>
<div class="col-last even-row-color">&nbsp;</div>
</div>
<section class="class-uses">
<ul class="block-list">
<li>
<section class="detail" id="back.event">
<h2>Uses of <a href="../MobileElement.html" title="class in back.mobileElement">MobileElement</a> in <a href="../../event/package-summary.html">back.event</a></h2>
<div class="caption"><span>Constructors in <a href="../../event/package-summary.html">back.event</a> with parameters of type <a href="../MobileElement.html" title="class in back.mobileElement">MobileElement</a></span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier</div>
<div class="table-header col-second">Constructor</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code>&nbsp;</code></div>
<div class="col-second even-row-color"><code><a href="../../event/AvailableForSynchronisation.html#%3Cinit%3E(back.mobileElement.MobileElement)" class="member-name-link">AvailableForSynchronisation</a><wbr>(<a href="../MobileElement.html" title="class in back.mobileElement">MobileElement</a>&nbsp;source)</code></div>
<div class="col-last even-row-color">
<div class="block">Crée l'évènement "Disponible pour synchronisation".</div>
</div>
<div class="col-first odd-row-color"><code>&nbsp;</code></div>
<div class="col-second odd-row-color"><code><a href="../../event/SynchronisationEnded.html#%3Cinit%3E(back.mobileElement.MobileElement)" class="member-name-link">SynchronisationEnded</a><wbr>(<a href="../MobileElement.html" title="class in back.mobileElement">MobileElement</a>&nbsp;source)</code></div>
<div class="col-last odd-row-color">
<div class="block">Crée l'évènement "Synchronisation terminée".</div>
</div>
<div class="col-first even-row-color"><code>&nbsp;</code></div>
<div class="col-second even-row-color"><code><a href="../../event/SynchronisationInProgress.html#%3Cinit%3E(back.mobileElement.MobileElement)" class="member-name-link">SynchronisationInProgress</a><wbr>(<a href="../MobileElement.html" title="class in back.mobileElement">MobileElement</a>&nbsp;source)</code></div>
<div class="col-last even-row-color">
<div class="block">Crée l'évènement "Synchronisation en cours".</div>
</div>
</div>
</section>
</li>
<li>
<section class="detail" id="back.mobileElement">
<h2>Uses of <a href="../MobileElement.html" title="class in back.mobileElement">MobileElement</a> in <a href="../package-summary.html">back.mobileElement</a></h2>
<div class="caption"><span>Subclasses of <a href="../MobileElement.html" title="class in back.mobileElement">MobileElement</a> in <a href="../package-summary.html">back.mobileElement</a></span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Class</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code>class&nbsp;</code></div>
<div class="col-second even-row-color"><code><a href="../Beacon.html" class="type-name-link" title="class in back.mobileElement">Beacon</a></code></div>
<div class="col-last even-row-color">
<div class="block">Classe représentant une balise.</div>
</div>
<div class="col-first odd-row-color"><code>class&nbsp;</code></div>
<div class="col-second odd-row-color"><code><a href="../Satellite.html" class="type-name-link" title="class in back.mobileElement">Satellite</a></code></div>
<div class="col-last odd-row-color">
<div class="block">Classe représentant un satellite.</div>
</div>
</div>
</section>
</li>
<li>
<section class="detail" id="back.movement">
<h2>Uses of <a href="../MobileElement.html" title="class in back.mobileElement">MobileElement</a> in <a href="../../movement/package-summary.html">back.movement</a></h2>
<div class="caption"><span>Methods in <a href="../../movement/package-summary.html">back.movement</a> with parameters of type <a href="../MobileElement.html" title="class in back.mobileElement">MobileElement</a></span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code>abstract void</code></div>
<div class="col-second even-row-color"><span class="type-name-label">MoveStrategy.</span><code><a href="../../movement/MoveStrategy.html#move(back.mobileElement.MobileElement,int,int,int,int)" class="member-name-link">move</a><wbr>(<a href="../MobileElement.html" title="class in back.mobileElement">MobileElement</a>&nbsp;elem,
 int&nbsp;maxX,
 int&nbsp;minX,
 int&nbsp;maxY,
 int&nbsp;minY)</code></div>
<div class="col-last even-row-color">
<div class="block">Méthode définissant le déplacement d'un élément mobile.</div>
</div>
<div class="col-first odd-row-color"><code>void</code></div>
<div class="col-second odd-row-color"><span class="type-name-label">MoveStrategyHorizontal.</span><code><a href="../../movement/MoveStrategyHorizontal.html#move(back.mobileElement.MobileElement,int,int,int,int)" class="member-name-link">move</a><wbr>(<a href="../MobileElement.html" title="class in back.mobileElement">MobileElement</a>&nbsp;elem,
 int&nbsp;maxX,
 int&nbsp;minX,
 int&nbsp;maxY,
 int&nbsp;minY)</code></div>
<div class="col-last odd-row-color">&nbsp;</div>
<div class="col-first even-row-color"><code>void</code></div>
<div class="col-second even-row-color"><span class="type-name-label">MoveStrategySatellite.</span><code><a href="../../movement/MoveStrategySatellite.html#move(back.mobileElement.MobileElement,int,int,int,int)" class="member-name-link">move</a><wbr>(<a href="../MobileElement.html" title="class in back.mobileElement">MobileElement</a>&nbsp;elem,
 int&nbsp;maxX,
 int&nbsp;minX,
 int&nbsp;maxY,
 int&nbsp;minY)</code></div>
<div class="col-last even-row-color">&nbsp;</div>
<div class="col-first odd-row-color"><code>void</code></div>
<div class="col-second odd-row-color"><span class="type-name-label">MoveStrategySinusoidale.</span><code><a href="../../movement/MoveStrategySinusoidale.html#move(back.mobileElement.MobileElement,int,int,int,int)" class="member-name-link">move</a><wbr>(<a href="../MobileElement.html" title="class in back.mobileElement">MobileElement</a>&nbsp;elem,
 int&nbsp;maxX,
 int&nbsp;minX,
 int&nbsp;maxY,
 int&nbsp;minY)</code></div>
<div class="col-last odd-row-color">&nbsp;</div>
<div class="col-first even-row-color"><code>void</code></div>
<div class="col-second even-row-color"><span class="type-name-label">MoveStrategySurface.</span><code><a href="../../movement/MoveStrategySurface.html#move(back.mobileElement.MobileElement,int,int,int,int)" class="member-name-link">move</a><wbr>(<a href="../MobileElement.html" title="class in back.mobileElement">MobileElement</a>&nbsp;elem,
 int&nbsp;maxX,
 int&nbsp;minX,
 int&nbsp;maxY,
 int&nbsp;minY)</code></div>
<div class="col-last even-row-color">&nbsp;</div>
<div class="col-first odd-row-color"><code>void</code></div>
<div class="col-second odd-row-color"><span class="type-name-label">MoveStrategyVertical.</span><code><a href="../../movement/MoveStrategyVertical.html#move(back.mobileElement.MobileElement,int,int,int,int)" class="member-name-link">move</a><wbr>(<a href="../MobileElement.html" title="class in back.mobileElement">MobileElement</a>&nbsp;elem,
 int&nbsp;maxX,
 int&nbsp;minX,
 int&nbsp;maxY,
 int&nbsp;minY)</code></div>
<div class="col-last odd-row-color">&nbsp;</div>
</div>
</section>
</li>
</ul>
</section>
</main>
</div>
</div>
</body>
</html>
